models/Modelo1.php
<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace app\models;

use Yii;
use yii\base\Model;

/**
 * Description of Usuarios
 *
 * @author Alpe
 */
class Modelo1 extends Model
{
    public $numero1;
    public $numero2;
    
    public function rules()
    {
        return[
            [['numero1','numero2'], 'required'],
            [['numero1','numero2'], 'number'],
        ];
    }
    
    public function attributeLabels()
    {
        return [
            'numero1' => 'Numero 1',
            'numero2' => 'Numero 2',
        ];
    }
}

models/Modelo2.php
<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace app\models;

use Yii;
use yii\base\Model;

/**
 * Description of Usuarios
 *
 * @author Alpe
 */
class Modelo2 extends Model
{
    public $numero1;
    public $numero2;
    public $resultado;
    public $dividiendo=false;
    public $suma;
    public $resta;
    public $multiplicacion;
    public $division;
    
    
    
    public function rules()
    {
        return[
            [['numero1','numero2'], 'required'],
            [['numero1','numero2'], 'number'],
            ['numero2','dividirCero']        
        ];
    }
    
    public function dividirCero($attribute,$params)
    {
        if($this->$attribute==0)
        {
            if($this->dividiendo==true)
            {
                $this->addError($attribute,"No se puede dividir por 0");
            }
        }
    }
    
    public function attributeLabels()
    {
        return [
            'numero1' => 'Numero 1',
            'numero2' => 'Numero 2',
        ];
    }
    
    public function multiplicacion()
    {
        $this->multiplicacion=$this->numero1*$this->numero2;
        return $this->multiplicacion;
    }
        
    public function division()
    {
        if($this->numero2==0)
        {
            $this->division="No se puede dividir por 0";
        }else
        {
            $this->division=$this->numero1/$this->numero2;
            return $this->division;
        }
        
    }
    
    public function suma()
    {
        $this->suma=$this->numero1+$this->numero2;
        return $this->suma;
    }
    
    public function resta()
    {
        $this->resta=$this->numero1-$this->numero2;
        return $this->resta;
    }
                
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Modelo1;
use app\models\Modelo2;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
     public function actionSumar()
    {
        $model = new Modelo1();

        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
            
            $resultado=$model->numero1+$model->numero2;
            return $this->render('resultado1', ['resultado' => $resultado,'operacion'=>'suma']);
        } else 
        {
            // la página es mostrada inicialmente o hay algún error de validación
            return $this->render('formulario1', ['model' => $model,'boton' => 'Sumar']);
        }
    }
    
    public function actionRestar()
    {
        $model = new Modelo1();

        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
            
            $resultado=$model->numero1-$model->numero2;
            return $this->render('resultado1', ['resultado' => $resultado,'operacion'=>'resta']);
        } else 
        {
            // la página es mostrada inicialmente o hay algún error de validación
            return $this->render('formulario1', ['model' => $model,'boton' => 'Restar']);
        }
    }
    
    public function actionMultiplicar()
    {
        $model = new Modelo2();

        if ($model->load(Yii::$app->request->post())) 
        {
            if ($model->validate()) 
            {
                $model->resultado=$model->multiplicacion();
                return $this->render('resultado2', ['model' => $model,'operacion' => 'multiplicacion']);

            }
        }
        
        return $this->render('formulario2', ['model' => $model,'boton' => 'Multiplicar']);
    }
    
    public function actionDividir()
    {
        $model = new Modelo2();
        $model->dividiendo=true;
        
        if ($model->load(Yii::$app->request->post())) 
        {
            if ($model->validate()) 
            {
                $model->resultado=$model->division();
                return $this->render('resultado2', ['model' => $model,'operacion' => 'division']);

            }
        }
        
        return $this->render('formulario2', ['model' => $model,'boton' => 'Dividir']);
    }
    
    public function actionOperartodo()
    {
        $model = new Modelo2();
        
        if ($model->load(Yii::$app->request->post())) 
        {
            if ($model->validate()) 
            {
                $model->suma();
                $model->resta();
                $model->multiplicacion();
                $model->division();
                
                return $this->render('resultadoTodo', ['model' => $model]);
            }
        }
        
        return $this->render('formulario2', ['model' => $model,'boton' => 'Operar todo']);
    }
    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap4\Breadcrumbs;
use yii\bootstrap4\Html;
use yii\bootstrap4\Nav;
use yii\bootstrap4\NavBar;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header>
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar navbar-expand-md navbar-dark bg-dark fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'HOME', 'url' => ['/site/index']],
            ['label' => 'SUMAR', 'url' => ['/site/sumar']],
            ['label' => 'RESTAR', 'url' => ['/site/restar']],
            ['label' => 'MULTIPLICAR', 'url' => ['/site/multiplicar']],
            ['label' => 'DIVIDIR', 'url' => ['/site/dividir']],
            ['label' => 'OPERAR TODO', 'url' => ['/site/operartodo']],
        ],
    ]);
    NavBar::end();
    ?>
</header>

<main role="main" class="flex-shrink-0">
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer class="footer mt-auto py-3 text-muted">
    <div class="container">
        <p class="float-left">&copy; My Company <?= date('Y') ?></p>
        <p class="float-right"><?= Yii::powered() ?></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/formulario1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Modelo1 */
/* @var $form ActiveForm */
?>
<div class="formulario1">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero1') ?>
        <?= $form->field($model, 'numero2') ?>
    
        <div class="form-group">
            <?= Html::submitButton($boton, ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- formulario1 -->

views/site/formulario2.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Modelo2 */
/* @var $form ActiveForm */
?>
<div class="formulario2">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero1') ?>
        <?= $form->field($model, 'numero2') ?>
    
        <div class="form-group">
            <?= Html::submitButton($boton, ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- formulario2 -->

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>

<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
fugiat nulla pariatur.</p>

<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
fugiat nulla pariatur.</p>

<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
fugiat nulla pariatur.</p>

views/site/resultado1.php
<div class="jumbotron">
    <h3>El resultado de la <?= $operacion ?> es <?= $resultado ?></h3>
</div>

views/site/resultado2.php
<div class="jumbotron">
    <h3>El resultado de la <?= $operacion ?> es <?= $model->resultado ?></h3>
</div>

views/site/resultadoTodo.php
<?php
use yii\widgets\DetailView;


echo DetailView::widget([
    'model' => $model,
    'attributes' => [
        'numero1',
        'numero2',
        'suma',
        'resta',
        'multiplicacion',
        'division',
    ],
]);